=== external/api-doc-tools/monodoc/Makefile ===
CONFIGURATION = Release

check: 
	mono ../packages/NUnit.ConsoleRunner.3.6.0/tools/nunit3-console.exe Test/bin/$(CONFIGURATION)/Monodoc.Test.dll
	@echo "monodoc Tests Complete!"
