=== debian/changelog ===
mono (6.14.1+ds2-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Improve ability to build mono on riscv64.

  [ Helmut Grohne ]
  * Tell boehm gc to use gcc atomic intrinsics,
    improving the ability to cross build.
    (Closes: #1112632)

  [ Antoine Le Gonidec ]
  * New source repack excluding more generated files.
  * Add missing Breaks/Replaces for mono-dbg.
  * Fix typo in Breaks/Replaces for mono-csharp-shell.
  * Fix ability to install mono-devel alongside cli-common-dev.
  * Fix build of shipped Boehm's GC to no longer rely on vendored generated
    files.
  * Drop binfmt integration.
  * Drop multiple unused Debian-specific scripts.
  * Drop unused Debian-specific .gitignore.
  * Drop unused XDG desktop menu entries.

 -- Antoine Le Gonidec <vv221@debian.org>  Mon, 01 Sep 2025 15:00:08 +0200

mono (6.14.1+ds-6) unstable; urgency=medium

  * Stop trying to kill all mono processes during tests.
    (Closes: #759496, #962022)
  * Fix build without Boehm's garbage collector on arm64.
  * Provide dh_makeclilibs to source packages that build-depend on mono-devel.
  * Reduce the amount of build-dependencies.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 26 Aug 2025 13:29:11 +0200

mono (6.14.1+ds-5) unstable; urgency=medium

  * Restore missing dependency on libgdiplus.
    (Closes: #1111930)
  * Import upstream patch to fix build on arm64.
  * Fix dependencies of autopkgtest.
  * Drop fake manpages.

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 24 Aug 2025 13:18:32 +0200

mono (6.14.1+ds-4) unstable; urgency=medium

  * Drop CLI (.NET) dependencies resolution.
    (Closes: #695555, #1111419)
  * Drop generation of a Mono certificates store.
    (Closes: #821831)
  * Ensure all maintainer scripts exit on error.
    (Closes: #866269)
  * Drop integration with cli-common.
    (Closes: #1111276)
  * Move debug scripts to -dbgsym packages.
  * Drop obsolete dh_gencontrol override.
  * Fix permissions on many files.
  * Fix generation and removal of AOT libraries.
  * Fix ability to install mono-libraries without mono-runtime.
  * Restore full Debian changelog.
  * Silence some lintian false-positives.

 -- Antoine Le Gonidec <vv221@debian.org>  Wed, 20 Aug 2025 17:06:31 +0200

mono (6.14.1+ds-3) experimental; urgency=medium

  * Add support for extra architectures: loong64 and riscv64.
    (Closes: #1111092)
  * Rename libmono-corlib4.5-cil binary package to mono-libraries.
  * Rename mono-dbg binary package to mono-libraries-debug.
  * Merge several packages into mono-runtime.
  * Merge all development packages into mono-devel.
  * Drop debian/NEWS about libraries merge,
    as most users probably do not care.
  * Migrate to -dbgsym debug packages.

 -- Antoine Le Gonidec <vv221@debian.org>  Fri, 15 Aug 2025 22:04:02 +0200

mono (2.6.3-4) experimental; urgency=low

  * Backported fix from upstream SVN revision r158081, which corrects
    xbuild's handling of wildcards with directories. This fixes a bug
    which prevents Pinta 0.4 from being built. Thanks to Ankit Jain
    <jankit@novell.com>

 -- Jo Shields <directhex@apebox.org>  Wed, 07 Jul 2010 10:56:17 +0100

mono (2.6.3-3) experimental; urgency=low

  * git:debian/patches/arm_cpuinfo_parsing:
    + Fix bug in QEMU-friendly ARM CPU capability parsing, by setting
      v7_supported explicitly to FALSE on non-QEMU hardware, unless
      a v7 CPU is detected (previously it was MAYBE, so v7 instructions
      were always generated)

 -- Jo Shields <directhex@apebox.org>  Thu, 01 Jul 2010 00:38:28 +0100

mono (2.6.3-2) experimental; urgency=low

  * git:debian/patches/kfreebsd_support:
    + Ensure all FreeBSD ifdefs also apply to kFreeBSD
    + Use &ctx->uc_mcontext, not &ctx->uc_mcontext.gregs, on FreeBSD kernels
    + Ensure kFreeBSD follows POSIX signal code paths
    + (Closes: #585662)
  * git:debian/patches/fix_GetTypeDescriptor_wrapped_type_call_forwarding_r157626:
    + Backport from upstream SVN repository to fix upstream bug 603060, which
      causes TypeDescriptorProvider to return false values on wrapped types
  * git:debian/patches/insecure_EnableViewStateMac_XSS_CVE-2010-1459:
    + Backport from upstream SVN repository to fix CVE-2010-1459, which
      implies that the default value for EnableViewStateMac can potentially
      allow XSS attacks against ASP.NET sites hosted on Mono
      (Closes: #585440)
  * debian/update-monodoc:
    + Updated script from Iain Lane <laney@ubuntu.com> which no longer fails
      when called using bash rather than dash (Closes: #580665)
  * debian/control:
    + Add a Replaces: on libmono-dev << 2.4.3 (Closes: #582614)
  * debian/control,
    debian/libmono{1,0}.0-cil.install,
    debian/mono-{1,2}.0-service.install:
    + Move mono-service executables' GAC entries to mono-service packages
      where they belong (Closes: #586192)

 -- Jo Shields <directhex@apebox.org>  Tue, 22 Jun 2010 08:53:51 +0100

mono (2.6.3-1) experimental; urgency=low

  * New upstream release (Closes: #572901)
    + Soft debugger
    + Co-routine framework Mono.Tasklets
    + Auto-completion for the csharp shell
    + LINQ to SQL
    + Enhanced XBuild
    + Mono.Simd for AMD64
    + Verifier and Sandbox (used by Moonlight)
    + Debugging support for GDB

  * The "Good bye dpatch, hello git" release
  * debian/control
    debian/rules
    debian/patches/*:
    + Replaced dpatches with git branches.

  * debian/mono-dbg.install:
    + Added mono-gdb.py script for gdb integration
  * debian/control
    debian/libmono-debugger-soft0.0-cil.install:
    + New package for the soft debugger library.
  * debian/libmono-microsoft-build2.0-cil.install:
    + Added new libraries.
  * debian/control
    debian/libmono-c5-1.0-cil.install
    debian/libmono-c5-1.1-cil.install:
    + Renamed the libmono-c5-1.0-cil package to libmono-c5-1.1-cil as the
      assembly version changed.
  * debiab/control
    debian/libmono-tasklets2.0-cil.install:
    + New package for the continuations library.

