=== debian/control ===
Source: mono
Section: cli-mono
Priority: optional
Maintainer: Antoine Le Gonidec <vv221@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: http://www.mono-project.com/
Vcs-Git: https://salsa.debian.org/dotnet-team/mono.git
Vcs-Browser: https://salsa.debian.org/dotnet-team/mono

Package: mono-runtime
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 loong64 mipsel powerpc ppc64 ppc64el riscv64 s390x
Provides:
 cli-runtime, cli-virtual-machine,
 global-assembly-cache-tool,
 mono-runtime-boehm (= ${source:Version}) [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 loong64 mipsel powerpc ppc64 ppc64el s390x],
 mono-runtime-common (= ${source:Version}),
 mono-runtime-sgen (= ${source:Version}),
Breaks:
 mono-gac (<< 6.14.1+ds-3),
 mono-runtime-boehm (<< 6.14.1+ds-3),
 mono-runtime-common (<< 6.14.1+ds-3),
 mono-runtime-sgen (<< 6.14.1+ds-3),
Replaces:
 mono-gac (<< 6.14.1+ds-3),
 mono-runtime-boehm (<< 6.14.1+ds-3),
 mono-runtime-common (<< 6.14.1+ds-3),
 mono-runtime-sgen (<< 6.14.1+ds-3),
Depends:
 binutils,
 mono-libraries,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Framework Mono - runtime binaries
 Framework Mono is a software platform designed to allow developers to easily
 create cross platform applications. It is an open source implementation
 of Microsoft's .NET Framework based on the ECMA standards for C# and the
 Common Language Runtime.
 .
 This package contains the architecture-specific parts of Framework Mono runtime
 that are required to run software written in C#.

Package: mono-libraries
Architecture: all
Multi-Arch: foreign
Depends:
 libgdiplus,
 ${misc:Depends},
Breaks:
 libmono-corlib4.5-cil (<< 6.14.1+ds-3),
 libmono-accessibility4.0-cil (<< 6.12.0.199+ds-2),
 libmono-btls-interface4.0-cil (<< 6.12.0.199+ds-2),
 libmono-c5-1.1-cil (<< 6.12.0.199+ds-2),
 libmono-cairo4.0-cil (<< 6.12.0.199+ds-2),
 libmono-cecil-private-cil (<< 6.12.0.199+ds-2),
 libmono-codecontracts4.0-cil (<< 6.12.0.199+ds-2),
 libmono-compilerservices-symbolwriter4.0-cil (<< 6.12.0.199+ds-2),
 libmono-corlib4.5-dll (<< 6.12.0.199+ds-2),
 libmono-cscompmgd0.0-cil (<< 6.12.0.199+ds-2),
 libmono-csharp4.0c-cil (<< 6.12.0.199+ds-2),
 libmono-custommarshalers4.0-cil (<< 6.12.0.199+ds-2),
 libmono-data-tds4.0-cil (<< 6.12.0.199+ds-2),
 libmono-db2-1.0-cil (<< 6.12.0.199+ds-2),
 libmono-debugger-soft4.0a-cil (<< 6.12.0.199+ds-2),
 libmono-http4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n-cjk4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n-mideast4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n-other4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n-rare4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n-west4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n4.0-cil (<< 6.12.0.199+ds-2),
 libmono-ldap4.0-cil (<< 6.12.0.199+ds-2),
 libmono-management4.0-cil (<< 6.12.0.199+ds-2),
 libmono-messaging-rabbitmq4.0-cil (<< 6.12.0.199+ds-2),
 libmono-messaging4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-build-engine4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-build-framework4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-build-tasks-v4.0-4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-build-utilities-v4.0-4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-build4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-csharp4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-visualc10.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-web-infrastructure1.0-cil (<< 6.12.0.199+ds-2),
 libmono-oracle4.0-cil (<< 6.12.0.199+ds-2),
 libmono-parallel4.0-cil (<< 6.12.0.199+ds-2),
 libmono-peapi4.0a-cil (<< 6.12.0.199+ds-2),
 libmono-posix4.0-cil (<< 6.12.0.199+ds-2),
 libmono-rabbitmq4.0-cil (<< 6.12.0.199+ds-2),
 libmono-relaxng4.0-cil (<< 6.12.0.199+ds-2),
 libmono-security4.0-cil (<< 6.12.0.199+ds-2),
 libmono-sharpzip4.84-cil (<< 6.12.0.199+ds-2),
 libmono-simd4.0-cil (<< 6.12.0.199+ds-2),
 libmono-smdiagnostics0.0-cil (<< 6.12.0.199+ds-2),
 libmono-sqlite4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-componentmodel-composition4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-componentmodel-dataannotations4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-configuration4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-configuration-install4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-core4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-data-datasetextensions4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-data-entity4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-data-linq4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-data-services-client4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-data-services4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-data4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-deployment4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-design4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-drawing-design4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-drawing4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-dynamic4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-enterpriseservices4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-identitymodel-selectors4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-identitymodel4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-io-compression-filesystem4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-io-compression4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-json-microsoft4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-json4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-ldap-protocols4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-ldap4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-management4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-messaging4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-net-http-formatting4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-net-http-webrequest4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-net-http4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-net4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-numerics-vectors4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-numerics4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-reactive-core2.2-cil (<< 6.12.0.199+ds-2),
 libmono-system-reactive-debugger2.2-cil (<< 6.12.0.199+ds-2),
 libmono-system-reactive-experimental2.2-cil (<< 6.12.0.199+ds-2),
 libmono-system-reactive-interfaces2.2-cil (<< 6.12.0.199+ds-2),
 libmono-system-reactive-linq2.2-cil (<< 6.12.0.199+ds-2),
 libmono-system-reactive-observable-aliases0.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-reactive-platformservices2.2-cil (<< 6.12.0.199+ds-2),
 libmono-system-reactive-providers2.2-cil (<< 6.12.0.199+ds-2),
 libmono-system-reactive-runtime-remoting2.2-cil (<< 6.12.0.199+ds-2),
 libmono-system-reactive-windows-forms2.2-cil (<< 6.12.0.199+ds-2),
 libmono-system-reactive-windows-threading2.2-cil (<< 6.12.0.199+ds-2),
 libmono-system-reflection-context4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-runtime-caching4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-runtime-durableinstancing4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-runtime-serialization-formatters-soap4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-runtime-serialization4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-runtime4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-security4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-servicemodel-activation4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-servicemodel-discovery4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-servicemodel-internals0.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-servicemodel-routing4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-servicemodel-web4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-servicemodel4.0a-cil (<< 6.12.0.199+ds-2),
 libmono-system-serviceprocess4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-threading-tasks-dataflow4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-transactions4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-abstractions4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-applicationservices4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-dynamicdata4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-extensions-design4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-extensions4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-http-selfhost4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-http-webhost4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-http4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-mobile4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-mvc3.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-razor2.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-regularexpressions4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-routing4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-services4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-webpages-deployment2.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-webpages-razor2.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web-webpages2.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-web4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-windows-forms-datavisualization4.0a-cil (<< 6.12.0.199+ds-2),
 libmono-system-windows-forms4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-windows4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-workflow-activities4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-workflow-componentmodel4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-workflow-runtime4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-xaml4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-xml-linq4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-xml-serialization4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system-xml4.0-cil (<< 6.12.0.199+ds-2),
 libmono-system4.0-cil (<< 6.12.0.199+ds-2),
 libmono-tasklets4.0-cil (<< 6.12.0.199+ds-2),
 libmono-wcf4.0-cil (<< 6.12.0.199+ds-2),
 libmono-webbrowser4.0-cil (<< 6.12.0.199+ds-2),
 libmono-webmatrix-data4.0-cil (<< 6.12.0.199+ds-2),
 libmono-windowsbase4.0-cil (<< 6.12.0.199+ds-2),
 libmono-xbuild-tasks4.0-cil (<< 6.12.0.199+ds-2),
 mono-4.0-gac (<< 6.14.1+ds-3),
 mono-gac (<< 6.14.1+ds-3),
Replaces:
 libmono-corlib4.5-cil (<< 6.14.1+ds-3),
 libmono-accessibility4.0-cil (<< 6.12.0.199+ds-2),
 libmono-btls-interface4.0-cil (<< 6.12.0.199+ds-2),
 libmono-c5-1.1-cil (<< 6.12.0.199+ds-2),
 libmono-cairo4.0-cil (<< 6.12.0.199+ds-2),
 libmono-cecil-private-cil (<< 6.12.0.199+ds-2),
 libmono-codecontracts4.0-cil (<< 6.12.0.199+ds-2),
 libmono-compilerservices-symbolwriter4.0-cil (<< 6.12.0.199+ds-2),
 libmono-corlib4.5-dll (<< 6.12.0.199+ds-2),
 libmono-cscompmgd0.0-cil (<< 6.12.0.199+ds-2),
 libmono-csharp4.0c-cil (<< 6.12.0.199+ds-2),
 libmono-custommarshalers4.0-cil (<< 6.12.0.199+ds-2),
 libmono-data-tds4.0-cil (<< 6.12.0.199+ds-2),
 libmono-db2-1.0-cil (<< 6.12.0.199+ds-2),
 libmono-debugger-soft4.0a-cil (<< 6.12.0.199+ds-2),
 libmono-http4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n-cjk4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n-mideast4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n-other4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n-rare4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n-west4.0-cil (<< 6.12.0.199+ds-2),
 libmono-i18n4.0-cil (<< 6.12.0.199+ds-2),
 libmono-ldap4.0-cil (<< 6.12.0.199+ds-2),
 libmono-management4.0-cil (<< 6.12.0.199+ds-2),
 libmono-messaging-rabbitmq4.0-cil (<< 6.12.0.199+ds-2),
 libmono-messaging4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-build-engine4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-build-framework4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-build-tasks-v4.0-4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-build-utilities-v4.0-4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-build4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-csharp4.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-visualc10.0-cil (<< 6.12.0.199+ds-2),
 libmono-microsoft-web-infrastructure1.0-cil (<< 6.12.0.199+ds-2),
 libmono-oracle4.0-cil (<< 6.12.0.199+ds-2),
 libmono-parallel4.0-cil (<< 6.12.0.199+ds-2),
 libmono-peapi4.0a-cil (<< 6.12.0.199+ds-2),
 libmono-posix4.0-cil (<< 6.12.0.199+ds-2),
 libmono-rabbitmq4.0-cil (<< 6.12.0.199+ds-2),
 libmono-relaxng4.0-cil (<< 6.12.0.199+ds-2),
 libmono-security4.0-cil (<< 6.12.0.199+ds-2),
 libmono-sharpzip4.84-cil (<< 6.12.0.199+ds-2),
 libmono-simd4.0-cil (<< 6.12.0.199+ds-2),
