=== debian/tests/control ===
Tests: test-runtime
Depends: mono-runtime, mono-devel
Restrictions: allow-stderr

Tests: test-devel
Depends: mono-devel
Restrictions: allow-stderr
