=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds2//,repacksuffix=+ds2,compression=xz \
	https://dl.winehq.org/mono/sources/mono/mono-([\d\.]+)\.tar\.xz
